This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 12482 - When is a media element created?
Summary: When is a media element created?
Status: RESOLVED INVALID
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-13 08:17 UTC by contributor
Modified: 2011-08-04 05:04 UTC (History)
6 users (show)

See Also:


Attachments

Description contributor 2011-04-13 08:17:29 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/video.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#user-interface

Comment:
When is a media element created?

Posted from: 83.218.67.122
User agent: Opera/9.80 (X11; Linux x86_64; U; en) Presto/2.8.131 Version/11.10
Comment 1 Philip J├Ągenstedt 2011-04-13 08:20:30 UTC
The spec says "When a media element is created, if it has a muted attribute specified, the user agent must set the muted IDL attribute to true, overriding any user preference."

What does this mean? Doesn't the parser first create an element and then add attributes to it?

Perhaps it should say when a media element is inserted into a document instead.
Comment 2 Ian 'Hixie' Hickson 2011-06-30 18:27:03 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: No, the parser creates the element with its attributes already created:
http://www.whatwg.org/specs/web-apps/current-work/complete.html#create-an-element-for-the-token
Comment 3 Michael[tm] Smith 2011-08-04 05:04:32 UTC
mass-moved component to LC1